EDIT - bug #6087

Top level items not sorted in tree of advanced search areaFilter widget
09/15/2016 12:24 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.3

Severity: normal Found in Version:

Description

ich sehe gerade, dass zumindest bei Cuba http:/portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/search die Areale des Areas
noch nicht sortiert sind. Die Sortierung sollte nach der des Vokabulars (OrderedTermVoacabulary) erfolgen.

... ich habe mir das gerade bei den Cichorieen angeschaut, da scheint es auch nicht zu funktionieren:
http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/search

Related issues:
Related to EDIT - bug #6116: Advanced Search area filter layout needs to be i... New 05/09/2022 05/13/2022

Associated revisions

Revision fdf52d6a - 09/15/2016 12:26 PM - Andreas Kohlbecker
fix #6087 areaFilter item sorting fixed

Revision 6b605d3b - 09/20/2016 04:22 PM - Andreas Kohlbecker

ref #6087 area filter widget more initial size and resizeable

Revision 6dbfb2ec - 09/20/2016 05:16 PM - Andreas Kohlbecker
ref #6087 adding orderINdex to TermDTO

Revision c079337e - 09/20/2016 05:17 PM - Andreas Kohlbecker
fix #6087 sorting areas by orderindex

Revision 8f2cbbc0 - 09/20/2016 05:17 PM - Andreas Kohlbecker

ref #6087 resizable area filter widget finetuning

Revision 87e6bb6f - 10/07/2016 10:23 AM - Andreas Kohlbecker
ref #6087 adding orderINdex to TermDTO

History

#1 - 09/15/2016 12:25 PM - Andreas Kohlbecker
- Project changed from EDIT to 2

- Category changed from cdm-dataportal to Import

#2 - 09/15/2016 12:26 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|fdf52d6a1031775b9ec229d{88bb0a84ad54649a.

#3 - 09/15/2016 12:27 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

#4 - 09/15/2016 12:27 PM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 4.3
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/search
http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/search
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/fdf52d6a1031775b9ec229df88bb0a84ad54649a

#5 - 09/19/2016 01:33 PM - Andreas Miiller

The ordering is now alphabetic but not according to the ordering in the vocabular as written in the description (especially for cuba this is important):
http://test.e-taxonomy.eu/dataportal/preview/flora-cuba/cdm_dataportal/search
http:/test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/search

Note: is it possible to increase the size of the area selection field? Especially for searching TDWG areas the current size is much too small as the
vocabulary/number of used areas is large

#6 - 09/19/2016 01:33 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

#7 - 09/20/2016 05:17 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

Applied in changeset cdm-dataportal|c079337e19b7aa2b7e23a64a78da5085b92029%¢e.

#8 - 09/20/2016 05:18 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
Please test again. All remaining issues are solved.

#9 - 10/04/2016 11:13 AM - Andreas Miiller
- Related to bug #6116: Advanced Search area filter layout needs to be improved added

#10 - 10/04/2016 11:17 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Seems to work well. Related issue about layout of filter in new ticket: #6116
